Package org.eclipse.lemminx.extensions.xerces.xmlmodel

## Class XMLModelConstants

- java.lang.Object
- - org.eclipse.lemminx.extensions.xerces.xmlmodel.XMLModelConstants

    public class XMLModelConstants
    extends Object

XML model constants.

See Also:
  https://www.w3.org/TR/xml-model/

### Field Summary

Fields
`static String` `APPLICATION_RELAXNG_COMPACT_SYNTAX_TYPE`
`static String` `APPLICATION_XML_TYPE`
`static String` `DTD_TYPE`
`static String` `HREF_ATTR`
`static String` `NVDL_SCHEMATYPENS`
`static String` `RELAXNG_SCHEMATYPENS`
`static String` `SCHEMATRON_SCHEMATYPENS`
`static String` `SCHEMATYPENS_ATTR`
`static String` `TYPE_ATTR`
`static String` `W3C_XML_SCHEMA_SCHEMATYPENS`
`static String` `XML_MODEL_PI`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### XML_MODEL_PI

    public static final String XML_MODEL_PI

See Also:
  Constant Field Values

#### HREF_ATTR

    public static final String HREF_ATTR

See Also:
  Constant Field Values

#### TYPE_ATTR

    public static final String TYPE_ATTR

See Also:
  Constant Field Values

#### SCHEMATYPENS_ATTR

    public static final String SCHEMATYPENS_ATTR

See Also:
  Constant Field Values

#### DTD_TYPE

    public static final String DTD_TYPE

See Also:
  Constant Field Values

#### APPLICATION_XML_TYPE

    public static final String APPLICATION_XML_TYPE

See Also:
  Constant Field Values

#### APPLICATION_RELAXNG_COMPACT_SYNTAX_TYPE

    public static final String APPLICATION_RELAXNG_COMPACT_SYNTAX_TYPE

See Also:
  Constant Field Values

#### RELAXNG_SCHEMATYPENS

    public static final String RELAXNG_SCHEMATYPENS

See Also:
  Constant Field Values

#### W3C_XML_SCHEMA_SCHEMATYPENS

    public static final String W3C_XML_SCHEMA_SCHEMATYPENS

See Also:
  Constant Field Values

#### SCHEMATRON_SCHEMATYPENS

    public static final String SCHEMATRON_SCHEMATYPENS

See Also:
  Constant Field Values

#### NVDL_SCHEMATYPENS

    public static final String NVDL_SCHEMATYPENS

See Also:
  Constant Field Values